|  | Dual Active Bridge Development Board (Part-No. ) |
Content |  |  |  |  |  |

Loading...
Searching...
No Matches
Files | Data Structures | Macros | Functions | Variables
Timer Driver
MPLABX MCC Melody Code Generator

Timer Driver is a 16-bit timer or 32-bit timer that can operate as a free-running interval timer using dsPIC MCUs. More...

Collaboration diagram for Timer Driver:

## Files
file | sccp1.h
| This is the generated driver header file for the SCCP1-TIMER driver.
file | sccp1.c
| This is the generated driver source file for SCCP1-TIMER driver.
file | tmr1.c
| This is the generated driver source file for TMR1 driver.
file | tmr1.h
| This is the generated driver header file for the TMR1 driver.

## Data Structures
struct | TIMER_INTERFACE
| Structure containing the function pointers of TIMER driver. More...

## Macros
#define | CTRLLOOP_EXE_Initialize SCCP1_Timer_Initialize
| This macro defines the Custom Name for SCCP1_Timer_Initialize API.
#define | CTRLLOOP_EXE_Deinitialize SCCP1_Timer_Deinitialize
| This macro defines the Custom Name for SCCP1_Timer_Deinitialize API.
#define | CTRLLOOP_EXE_Tasks SCCP1_Timer_Tasks
| This macro defines the Custom Name for SCCP1_Timer_Tasks API.
#define | CTRLLOOP_EXE_Start SCCP1_Timer_Start
| This macro defines the Custom Name for SCCP1_Timer_Start API.
#define | CTRLLOOP_EXE_Stop SCCP1_Timer_Stop
| This macro defines the Custom Name for SCCP1_Timer_Stop API.
#define | CTRLLOOP_EXE_PeriodSet SCCP1_Timer_PeriodSet
| This macro defines the Custom Name for SCCP1_Timer_PeriodSet API.
#define | CTRLLOOP_EXE_PeriodGet SCCP1_Timer_PeriodGet
| This macro defines the Custom Name for SCCP1_Timer_PeriodGet API.
#define | CTRLLOOP_EXE_CounterGet SCCP1_Timer_CounterGet
| This macro defines the Custom Name for SCCP1_Timer_CounterGet API.
#define | CTRLLOOP_EXE_Counter16BitGet SCCP1_Timer_Counter16BitGet
| This macro defines the Custom Name for SCCP1_Timer_Counter16BitGet API.
#define | CTRLLOOP_EXE_InterruptPrioritySet SCCP1_Timer_InterruptPrioritySet
| This macro defines the Custom Name for SCCP1_Timer_InterruptPrioritySet API.
#define | CTRLLOOP_EXE_TimeoutCallbackRegister SCCP1_Timer_TimeoutCallbackRegister
| This macro defines the Custom Name for SCCP1_Timer_TimeoutCallbackRegister API.
#define | TIMER_PERIODCOUNTSET_API_SUPPORT false
| Defines the deprecated SCCPx_Timer_PeriodCountSet or TMRx_PeriodCountSet API. Set it to true for backward compatibility.
#define | Timer1_Initialize TMR1_Initialize
| This macro defines the Custom Name for TMR1_Initialize API.
#define | Timer1_Deinitialize TMR1_Deinitialize
| This macro defines the Custom Name for TMR1_Deinitialize API.
#define | Timer1_Start TMR1_Start
| This macro defines the Custom Name for TMR1_Start API.
#define | Timer1_Stop TMR1_Stop
| This macro defines the Custom Name for TMR1_Stop API.
#define | Timer1_PeriodSet TMR1_PeriodSet
| This macro defines the Custom Name for TMR1_PeriodSet API.
#define | Timer1_PeriodGet TMR1_PeriodGet
| This macro defines the Custom Name for TMR1_PeriodGet API.
#define | Timer1_CounterGet TMR1_CounterGet
| This macro defines the Custom Name for TMR1_CounterGet API.
#define | Timer1_Counter16BitGet TMR1_Counter16BitGet
| This macro defines the Custom Name for TMR1_Counter16BitGet API.
#define | Timer1_InterruptPrioritySet TMR1_InterruptPrioritySet
| This macro defines the Custom Name for TMR1_InterruptPrioritySet API.
#define | Timer1_TimeoutCallbackRegister TMR1_TimeoutCallbackRegister
| This macro defines the Custom Name for TMR1_TimeoutCallbackRegister API.

## Functions
void | SCCP1_Timer_Initialize (void)
| Initializes the SCCP1 module.
void | SCCP1_Timer_Deinitialize (void)
| Deinitializes the SCCP1 to POR values.
void | SCCP1_Timer_Start (void)
| Starts the timer.
void | SCCP1_Timer_Stop (void)
| Stops the timer.
void | SCCP1_Timer_PeriodSet (uint32_t count)
| Sets the SCCP1-Timer period count value.
static uint32_t | SCCP1_Timer_PeriodGet (void)
| This inline function gets the SCCP1-Timer period count value.
static uint32_t | SCCP1_Timer_CounterGet (void)
| This inline function gets the SCCP1-Timer elapsed count value.
static uint16_t | SCCP1_Timer_Counter16BitGet (void)
| This inline function gets the SCCP1-Timer least significant 16 bit elapsed count value.
void | SCCP1_Timer_InterruptPrioritySet (enum INTERRUPT_PRIORITY priority)
| Sets the Interrupt Priority Value.
void | SCCP1_Timer_TimeoutCallbackRegister (void(*handler)(void))
| This function can be used to override default callback and to define custom callback for SCCP1 Timeout event.
void | SCCP1_TimeoutCallbackRegister (void *handler) __attribute__((deprecated("\nThis will be removed in future MCC releases. \nUse SCCP1_Timer_TimeoutCallbackRegister instead. ")))
| This function can be used to override default callback and to define custom callback for SCCP1 Timeout event.
void | SCCP1_TimeoutCallback (void)
| This is the default callback with weak attribute. The user can override and implement the default callback without weak attribute or can register a custom callback function using SCCP1_Timer_TimeoutCallbackRegister.
void | TMR1_Initialize (void)
| Initializes the TMR1 module.
void | TMR1_Deinitialize (void)
| Deinitializes the TMR1 to POR values.
void | TMR1_Start (void)
| Starts the timer.
void | TMR1_Stop (void)
| Stops the timer.
void | TMR1_PeriodSet (uint32_t count)
| Sets the TMR1 period count value.
static uint32_t | TMR1_PeriodGet (void)
| This inline function gets the TMR1 period count value.
static uint32_t | TMR1_CounterGet (void)
| This inline function gets the TMR1 elapsed time value.
static uint16_t | TMR1_Counter16BitGet (void)
| This inline function gets the 16 bit TMR1 elapsed time value.
void | TMR1_InterruptPrioritySet (enum INTERRUPT_PRIORITY priority)
| Sets the TMR1 interrupt priority value.
void | TMR1_TimeoutCallbackRegister (void(*handler)(void))
| This function can be used to override default callback and to define custom callback for TMR1 Timeout event.
void | TMR1_TimeoutCallback (void)
| This is the default callback with weak attribute. The user can override and implement the default callback without weak attribute or can register a custom callback function using TMR1_TimeoutCallbackRegister.

## Variables
const struct TIMER_INTERFACE | CTRLLOOP_EXE
| Structure object of type TIMER_INTERFACE with the custom name given by the user in the Melody Driver User interface. The default name e.g. Timer1 can be changed by the user in the TIMER user interface. This allows defining a structure with application specific name using the 'Custom Name' field. Application specific name allows the API Portability.
const struct TIMER_INTERFACE | Timer1
| Structure object of type TIMER_INTERFACE with the custom name given by the user in the Melody Driver User interface. The default name e.g. Timer1 can be changed by the user in the TIMER user interface. This allows defining a structure with application specific name using the 'Custom Name' field. Application specific name allows the API Portability.

## Detailed Description

## Macro Definition Documentation

## ◆ CTRLLOOP_EXE_Counter16BitGet

#define CTRLLOOP_EXE_Counter16BitGet SCCP1_Timer_Counter16BitGet

Definition at line 114 of file sccp1.h.

## ◆ CTRLLOOP_EXE_CounterGet

#define CTRLLOOP_EXE_CounterGet SCCP1_Timer_CounterGet

Definition at line 109 of file sccp1.h.

## ◆ CTRLLOOP_EXE_Deinitialize

#define CTRLLOOP_EXE_Deinitialize SCCP1_Timer_Deinitialize

Definition at line 70 of file sccp1.h.

## ◆ CTRLLOOP_EXE_Initialize

#define CTRLLOOP_EXE_Initialize SCCP1_Timer_Initialize

Definition at line 65 of file sccp1.h.

## ◆ CTRLLOOP_EXE_InterruptPrioritySet

#define CTRLLOOP_EXE_InterruptPrioritySet SCCP1_Timer_InterruptPrioritySet

Definition at line 119 of file sccp1.h.

## ◆ CTRLLOOP_EXE_PeriodGet

#define CTRLLOOP_EXE_PeriodGet SCCP1_Timer_PeriodGet

Definition at line 104 of file sccp1.h.

## ◆ CTRLLOOP_EXE_PeriodSet

#define CTRLLOOP_EXE_PeriodSet SCCP1_Timer_PeriodSet

Definition at line 99 of file sccp1.h.

## ◆ CTRLLOOP_EXE_Start

#define CTRLLOOP_EXE_Start SCCP1_Timer_Start

Definition at line 80 of file sccp1.h.

## ◆ CTRLLOOP_EXE_Stop

#define CTRLLOOP_EXE_Stop SCCP1_Timer_Stop

Definition at line 85 of file sccp1.h.

## ◆ CTRLLOOP_EXE_Tasks

#define CTRLLOOP_EXE_Tasks SCCP1_Timer_Tasks

Definition at line 75 of file sccp1.h.

## ◆ CTRLLOOP_EXE_TimeoutCallbackRegister

#define CTRLLOOP_EXE_TimeoutCallbackRegister SCCP1_Timer_TimeoutCallbackRegister

Definition at line 125 of file sccp1.h.

## ◆ Timer1_Counter16BitGet

#define Timer1_Counter16BitGet TMR1_Counter16BitGet

Definition at line 108 of file tmr1.h.

## ◆ Timer1_CounterGet

#define Timer1_CounterGet TMR1_CounterGet

Definition at line 103 of file tmr1.h.

## ◆ Timer1_Deinitialize

#define Timer1_Deinitialize TMR1_Deinitialize

Definition at line 69 of file tmr1.h.

## ◆ Timer1_Initialize

#define Timer1_Initialize TMR1_Initialize

Definition at line 64 of file tmr1.h.

## ◆ Timer1_InterruptPrioritySet

#define Timer1_InterruptPrioritySet TMR1_InterruptPrioritySet

Definition at line 113 of file tmr1.h.

## ◆ Timer1_PeriodGet

#define Timer1_PeriodGet TMR1_PeriodGet

Definition at line 98 of file tmr1.h.

## ◆ Timer1_PeriodSet

#define Timer1_PeriodSet TMR1_PeriodSet

Definition at line 93 of file tmr1.h.

## ◆ Timer1_Start

#define Timer1_Start TMR1_Start

Definition at line 74 of file tmr1.h.

## ◆ Timer1_Stop

#define Timer1_Stop TMR1_Stop

Definition at line 79 of file tmr1.h.

## ◆ Timer1_TimeoutCallbackRegister

#define Timer1_TimeoutCallbackRegister TMR1_TimeoutCallbackRegister

Definition at line 118 of file tmr1.h.

## ◆ TIMER_PERIODCOUNTSET_API_SUPPORT

#define TIMER_PERIODCOUNTSET_API_SUPPORT false

Definition at line 53 of file timer_interface.h.

## Function Documentation

## ◆ SCCP1_TimeoutCallback()

void SCCP1_TimeoutCallback | ( | void |  | ) |

Parameters

  none |

Returns
  none

Here is the caller graph for this function:

## ◆ SCCP1_TimeoutCallbackRegister()

void SCCP1_TimeoutCallbackRegister | ( | void * | handler | ) |

Parameters

  [in] | handler | - Address of the callback function.

Returns
  none

Definition at line 184 of file sccp1.c.

## ◆ SCCP1_Timer_Counter16BitGet()

static uint16_t SCCP1_Timer_Counter16BitGet | ( | void |  | ) |
| inlinestatic

Parameters

  none |

Returns
  Least significant 16 bit elapsed count value of the timer

Definition at line 215 of file sccp1.h.

## ◆ SCCP1_Timer_CounterGet()

static uint32_t SCCP1_Timer_CounterGet | ( | void |  | ) |
| inlinestatic

Parameters

  none |

Returns
  Elapsed count value of the timer

Definition at line 197 of file sccp1.h.

## ◆ SCCP1_Timer_Deinitialize()

void SCCP1_Timer_Deinitialize | ( | void |  | ) |

Parameters

  none |

Returns
  none

Definition at line 115 of file sccp1.c.

## ◆ SCCP1_Timer_Initialize()

void SCCP1_Timer_Initialize | ( | void |  | ) |

Parameters

  none |

Returns
  none

Definition at line 75 of file sccp1.c.

Here is the call graph for this function:
Here is the caller graph for this function:

## ◆ SCCP1_Timer_InterruptPrioritySet()

void SCCP1_Timer_InterruptPrioritySet | ( | enum INTERRUPT_PRIORITY | priority | ) |

Parameters

  none |

Returns
  none

Definition at line 171 of file sccp1.c.

## ◆ SCCP1_Timer_PeriodGet()

static uint32_t SCCP1_Timer_PeriodGet | ( | void |  | ) |
| inlinestatic

Precondition
  SCCP1_Timer_Initialize must be called

Parameters

  none |

Returns
  Period count value

Definition at line 179 of file sccp1.h.

## ◆ SCCP1_Timer_PeriodSet()

void SCCP1_Timer_PeriodSet | ( | uint32_t | count | ) |

Precondition
  SCCP1_Timer_Initialize must be called

Parameters

  [in] | count | - period value

Returns
  none

Definition at line 156 of file sccp1.c.

## ◆ SCCP1_Timer_Start()

void SCCP1_Timer_Start | ( | void |  | ) |

Precondition
  SCCP1_Timer_Initialize must be called

Parameters

  none |

Returns
  none

Definition at line 138 of file sccp1.c.

## ◆ SCCP1_Timer_Stop()

void SCCP1_Timer_Stop | ( | void |  | ) |

Precondition
  SCCP1_Timer_Initialize must be called

Parameters

  none |

Returns
  none

Definition at line 147 of file sccp1.c.

## ◆ SCCP1_Timer_TimeoutCallbackRegister()

void SCCP1_Timer_TimeoutCallbackRegister | ( | void(*)(void) | handler | ) |

Parameters

  [in] | handler | - Address of the callback function.

Returns
  none

Definition at line 176 of file sccp1.c.

Here is the caller graph for this function:

## ◆ TMR1_Counter16BitGet()

static uint16_t TMR1_Counter16BitGet | ( | void |  | ) |
| inlinestatic

Parameters

  none |

Returns
  16 bit elapsed count value of the timer

Definition at line 192 of file tmr1.h.

## ◆ TMR1_CounterGet()

static uint32_t TMR1_CounterGet | ( | void |  | ) |
| inlinestatic

Parameters

  none |

Returns
  Elapsed count value of the timer

Definition at line 181 of file tmr1.h.

## ◆ TMR1_Deinitialize()

void TMR1_Deinitialize | ( | void |  | ) |

Parameters

  none |

Returns
  none

Definition at line 85 of file tmr1.c.

Here is the call graph for this function:

## ◆ TMR1_Initialize()

void TMR1_Initialize | ( | void |  | ) |

Parameters

  none |

Returns
  none

Definition at line 71 of file tmr1.c.

Here is the call graph for this function:
Here is the caller graph for this function:

## ◆ TMR1_InterruptPrioritySet()

void TMR1_InterruptPrioritySet | ( | enum INTERRUPT_PRIORITY | priority | ) |

Parameters

  [in] | priority | - value of interrupt priority

Returns
  none

Definition at line 119 of file tmr1.c.

## ◆ TMR1_PeriodGet()

static uint32_t TMR1_PeriodGet | ( | void |  | ) |
| inlinestatic

Parameters

  none |

Returns
  Number of clock counts

Definition at line 170 of file tmr1.h.

## ◆ TMR1_PeriodSet()

void TMR1_PeriodSet | ( | uint32_t | count | ) |

Parameters

  [in] | count | - number of clock counts

Returns
  none

Definition at line 114 of file tmr1.c.

## ◆ TMR1_Start()

void TMR1_Start | ( | void |  | ) |

Precondition
  TMR1_Initialize must be called

Parameters

  none |

Returns
  none

Definition at line 94 of file tmr1.c.

Here is the caller graph for this function:

## ◆ TMR1_Stop()

void TMR1_Stop | ( | void |  | ) |

Precondition
  TMR1_Initialize must be called

Parameters

  none |

Returns
  none

Definition at line 105 of file tmr1.c.

Here is the caller graph for this function:

## ◆ TMR1_TimeoutCallback()

void TMR1_TimeoutCallback | ( | void |  | ) |

Parameters

  none |

Returns
  none

Here is the caller graph for this function:

## ◆ TMR1_TimeoutCallbackRegister()

void TMR1_TimeoutCallbackRegister | ( | void(*)(void) | handler | ) |

Parameters

  [in] | handler | - Address of the callback function.

Returns
  none

Definition at line 124 of file tmr1.c.

Here is the caller graph for this function:

## Variable Documentation

## ◆ CTRLLOOP_EXE

const struct TIMER_INTERFACE CTRLLOOP_EXE
| extern

Definition at line 57 of file sccp1.c.

## ◆ Timer1

const struct TIMER_INTERFACE Timer1
| extern

Definition at line 53 of file tmr1.c.